/*global WebViewJavascriptBridge, FastClick, console */

var jsBridge;

var Login = (function(window, document, undefined) {

    'use strict';

    var connectWebViewJavascriptBridge = function(callback) {
        if (window.WebViewJavascriptBridge) {
            callback(WebViewJavascriptBridge);
        } else {
            document.addEventListener("WebViewJavascriptBridgeReady", function() {
                callback(WebViewJavascriptBridge);
            }, false);
        }
    };


    var init = function(pageCount, callback) {
        connectWebViewJavascriptBridge(function(bridge) {

            jsBridge = bridge;

            jsBridge.init(function(message, responseCallback) {
                /* jshint unused:false */
            });

            jsBridge.registerHandler("changeFontSize", function(data) {
                /* jshint unused:false */
                alert(data);
                document.body.className = 'body-font-' + data;
            });

        });

        if (typeof FastClick !== 'undefined') {
            // Don't attach to body if undefined
            if (typeof document.body !== 'undefined') {
                FastClick.attach(document.body);
            }
        }


    };

    return {
        init: init
    };


})(window, document);